@use '../../../global/styles/breakpoint';
@use '../../../global/styles/border';
@use '../../../global/styles/layout';

:host {
	--digi-page-header--eyebrow-direction: column;
	--digi-page-header--eyebrow-justify: flex-end;
	--digi-page-header--eyebrow-padding: var(--digi--padding--largest);

	@include breakpoint.large {
		--digi-page-header--eyebrow-direction: row;
		--digi-page-header--eyebrow-justify: flex-start;
		--digi-page-header--eyebrow-padding: 0;
	}

	::slotted([slot^='top']) {
		font-family: var(--digi--global--typography--font-family--default);
		font-size: var(--digi--global--typography--font-size--smallest-2);
		a,
		a:hover,
		a:visited {
			color: var(--digi--color--text--secondary);
		}

		a:focus {
			outline: none;
			color: var(--digi--color--text--secondary);
		}

		a:focus-visible {
			outline: var(--digi--border-width--secondary) solid var(--digi--color--border--focus);
		}
	}
}

.digi-page-header {
	background: var(--digi--color--background--primary);
	border-block-start: border.$box;

	display: grid;
	align-items: center;

	@include breakpoint.below-large {
		&--top {
			grid-template-rows: 72px auto auto calc(var(--digi--global--spacing--smaller-3) * 3);
		}
		
		&--expanded-true {
			grid-template-rows: 72px auto auto 0;
			grid-template-columns: 2fr 1fr;
			grid-template-areas:
				'logo toggle'
				'navigation navigation'
				'eyebrow eyebrow'
				'top top';
			border-block-end: 80px solid var(--digi--color--border--secondary);
		}

		&--expanded-false {
			grid-template-columns: 2fr 1fr;
			grid-template-rows: 72px;
			grid-template-areas: 'logo toggle';
			border-block-end: border.$list;
		}
	}

	@include breakpoint.large {
		grid-template-rows: 0 calc(var(--digi--global--spacing--largest) - var(--digi--global--spacing--smallest-4)) auto;
		grid-template-areas:
			'top'
			'main'
			'navigation';

			&--top {
				grid-template-rows: calc(var(--digi--global--spacing--smaller-3) * 3) calc(var(--digi--global--spacing--largest) - var(--digi--global--spacing--smallest-4)) auto;
			}
	}
}

.digi-page-header__top {
	grid-area: top;
	background: var(--digi--color--background--secondary);
	height: 100%;
	display: flex;
	align-items: center;

	@include breakpoint.below-large {
		border-block-start: border.$box;

		.digi-page-header--expanded-false & {
			display: none;
		}
	}
}

.digi-page-header__main {
	@include breakpoint.large {
		@include layout.container;

		grid-area: main;
		display: flex;
		justify-content: space-between;
		align-items: center;
	}

	@include breakpoint.below-large {
		display: contents;
	}
}

.digi-page-header__logo {
	grid-area: logo;

	@include breakpoint.below-large {
		padding-inline-start: var(--digi--padding--largest);
	}
}

.digi-page-header__nav {
	grid-area: navigation;

	@include breakpoint.below-large {
		.digi-page-header--expanded-false & {
			display: none;
		}
	}
}

.digi-page-header__eyebrow {
	grid-area: eyebrow;

	::slotted(ul) {
		display: flex;
		gap: var(--digi--global--spacing--smaller);
		justify-content: var(--digi-page-header--eyebrow-justify);
		flex-direction: var(--digi-page-header--eyebrow-direction);
		padding: var(--digi-page-header--eyebrow-padding);
		list-style: none;

		li {
			list-style: none;
		}
	}

	@include breakpoint.below-large {
		.digi-page-header--expanded-false & {
			display: none;
		}
	}
}

.digi-page-header__toggle-button {
	display: none;

	@include breakpoint.below-large {
		grid-area: toggle;
		display: flex;
		padding-inline-end: var(--digi--padding--small);
		justify-self: end;

		button {
			display: inline-flex;
			flex-direction: column;
			justify-content: center;
			align-items: center;
			color: var(--digi--color--text--secondary);

			svg {
				--digi--icon--color: currentColor;
			}

			span {
				font-family: var(--digi--typography--font-family);
				font-weight: var(--digi--global--typography--font-weight--semibold);
				font-size: var(--digi--global--typography--font-size--smallest);
				text-transform: uppercase;
			}

			&:focus-visible {
				outline: var(--digi--focus-outline);
			}
		}
	}
}
